<?php

	/*******************************************************************\
	|																	|
	|	房开源（综合房产ERP管理系统）									|
	|																	|
	|	© 2019-2023 http://www.kaidandashi.com/ All rights reserved.	|
	|																	|
	|	本系统由淮南市银泰软件科技有限公司提供技术支持					|
	|																	|
	|	QQ号：984784483													|
	|																	|
	\*******************************************************************/

	namespace Admin\Controller;
	use Think\Controller;
	class FangyuanimgController extends CommonController {
		/**
		* webuploader 显示图片上传框
		*/
		function add() {
			$fybh=I('fybh');
			$fangyuan=M('fangyuan')->field('zhuangtai,weihurenid,isdel,shtype')->where(array('bianhao'=>$fybh))->find();
			$is_rbac = _rbac_btn_show(70,$fangyuan['zhuangtai'],$fangyuan['weihurenid']);
			if (!$is_rbac) {
				$this->redirect('Index/error');
			}
			if ($fangyuan['isdel'] == 1) {
				$this->error('房源已删除！');
			}
			if ($fangyuan['shtype'] == 3) {
				$this->error('请等待审核！');
			}
			if ($fangyuan['shtype'] == 2) {
				$this->error('房源已驳回！');
			}
			if (IS_POST) {
				// 根据自己的业务调整上传路径、允许的格式、文件大小
				$path = "/Upload/".session('gongsiid')."/".$fybh;
				ajax_upload($path,1);
			} else {
				$this->display();
			}
		}
	}